#ifndef CLOUDEMBEDDINGENGINE_H
#define CLOUDEMBEDDINGENGINE_H

#include "embeddingengine.h"

namespace ai_engine {
namespace tm {
namespace embedding {

class AbstractCloudEmbeddingEngine : public AbstractEmbeddingEngine {
public:
    virtual ~AbstractCloudEmbeddingEngine() {}
    bool isCloud() override final { return true; }
    virtual void setConfig(const std::string &config) = 0;
};

}
}
}

#endif